// sampleAddColumn.js

// Implict Objects
// LOG org.apache.commons.logging.Log
// FILE_NAME java.lang.String
// FILES[] java.io.File
// CI hiro.yoshioka.sql.util.CommentInfo


/**
 * before interceptor
 * @param immutableStatements java.lang.String[]
 * @param bindObjects java.lang.Object[]
 */
function before(immutableStatements, bindObjects) {
  LOG.warn('START');
  LOG.warn('SQL=' + immutableStatements[0]);  
  LOG.warn('This File=' + FILE_NAME);  
  LOG.warn('Num of Interceptors =' + FILES.length);  
  LOG.warn('CI =' + CI);  
  LOG.warn('END');
}


/**
 * after interceptor
 * @param rdh hiro.yoshioka.sdh.ResultSetDataHolder
 * @param table hiro.yoshioka.sql.resource.IDBTable
 */
function after(rdh, table) {
  LOG.warn('START');
  rdh.addColumn("AddColumnAA", ['first','second','hoge',null, 'piyo','a','a','a','a']);
  LOG.warn('END');
}
